import QtQuick 2.12
import QtQuick.Window 2.12
import Dummy 1.0

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    Connections {
        target: dummy

        onSignalWithArg: {
            var arg = textArg;

            console.log("arg:", arg);
            console.log("textArg:", textArg);
        }
    }

    Dummy {
        id: dummy
    }

    Component.onCompleted: {
        dummy.emitSignal();
    }

}

