#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include "Dummy.h"

int main(int argc, char *argv[])
{
  QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

  QGuiApplication app(argc, argv);

  qmlRegisterType<Dummy>("Dummy", 1, 0, "Dummy");

  QQmlApplicationEngine engine;
  const QUrl url(QStringLiteral("qrc:/main.qml"));
  QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                   &app, [url](QObject *obj, const QUrl &objUrl) {
    if (!obj && url == objUrl)
      QCoreApplication::exit(-1);
  }, Qt::QueuedConnection);
  engine.load(url);

  return app.exec();

/private/var/folders/wp/8jm3lswn63lgbg3_6v8q6hyh0000gn/T/QtCreator-Icoavy/ssh-sfygIP/cs.si6DgEBXn0thwRmz
}
